commit:     75fd5e178add2341038133799f31a7a041249d9d
Author:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 14 14:34:47 2024 +0000
Commit:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
CommitDate: Sun Apr 14 14:37:38 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=75fd5e17

sci-libs/pyshp: Add support for Python 3.12

Closes: https://bugs.gentoo.org/929787
Signed-off-by: Thomas Beierlein <tomjbe <AT> gentoo.org>

 sci-libs/pyshp/pyshp-2.3.1-r2.ebuild | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/sci-libs/pyshp/pyshp-2.3.1-r2.ebuild 
b/sci-libs/pyshp/pyshp-2.3.1-r2.ebuild
new file mode 100644
index 000000000000..18fbf87fe491
--- /dev/null
+++ b/sci-libs/pyshp/pyshp-2.3.1-r2.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+PYTHON_COMPAT=( python3_{9..12} )
+
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="Pure Python read/write support for ESRI Shapefile format"
+HOMEPAGE="https://pypi.org/project/pyshp/";
+# pypi tarballs are missing test data
+#SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+SRC_URI="https://github.com/GeospatialPython/${PN}/archive/${PV}.tar.gz -> 
${P}..gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+python_test() {
+       epytest test_shapefile.py -m "not network" || die
+}

Reply via email to